> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Wallets

> Syncs Rain card payment-method wallets for the caller, then lists their non-cancelled, non-dismissed wallets.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-all-wallets
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-all-wallets:
    get:
      operationId: getAllWallets
      summary: Get All Wallets
      description: >-
        Syncs Rain card payment-method wallets for the caller, then lists their
        non-cancelled, non-dismissed wallets.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllWalletsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllWalletsResponse:
      type: array
      items:
        type: object
        properties:
          walletID:
            type: string
          roleInOrgID:
            type: string
          name:
            type:
              - string
              - 'null'
          address:
            type:
              - string
              - 'null'
          memo:
            type:
              - string
              - 'null'
          destinationTag:
            type:
              - integer
              - 'null'
          network:
            type: string
          status:
            type: string
          walletType:
            type:
              - string
              - 'null'
          orgNetworkID:
            type:
              - string
              - 'null'
          createdAt:
            type: string
          updatedAt:
            type: string
          isCurrent:
            type: boolean
          isDefault:
            type: boolean
          legacyMigratedAt:
            type:
              - string
              - 'null'
          legacyModelID:
            type:
              - integer
              - 'null'
          walletTypeCustomID:
            type:
              - string
              - 'null'
          nickName:
            type:
              - string
              - 'null'
          investorEntityID:
            type:
              - string
              - 'null'
          tokenTypeID:
            type:
              - string
              - 'null'
          connectedViaMesh:
            type: boolean
          userDismissed:
            type: boolean
          roleInOrg:
            type: object
            properties:
              hrAutomationOnly:
                type: boolean
              isServiceSeat:
                type: boolean
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - integer
                  - 'null'
              roleInOrgID:
                type: string
              personID:
                type: string
              orgID:
                type: string
              invitedByInvestorID:
                type:
                  - string
                  - 'null'
              invitedByRecipientID:
                type:
                  - string
                  - 'null'
              roleInOrgExternalID:
                type: integer
              externalEmployeeID:
                type:
                  - string
                  - 'null'
              positionID:
                type:
                  - string
                  - 'null'
              jobTitle:
                type:
                  - string
                  - 'null'
              country:
                type:
                  - string
                  - 'null'
              countryCode:
                type:
                  - string
                  - 'null'
              preferredInvoiceCurrency:
                type:
                  - string
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              lifecycleStatus:
                type:
                  - string
                  - 'null'
              workEmail:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              legalEntity:
                type:
                  - string
                  - 'null'
              payrollEntity:
                type:
                  - string
                  - 'null'
              contractEntityID:
                type:
                  - string
                  - 'null'
              onboarded:
                type: boolean
              isTerminated:
                type: boolean
              privilegedAdmin:
                type: boolean
              isPrimaryAdmin:
                type: boolean
              isOrgMarketMaker:
                type: boolean
              role:
                type: string
              employmentType:
                type:
                  - string
                  - 'null'
              revokedAt:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              payrollEmployeeID:
                type:
                  - string
                  - 'null'
              hasWelcomeEmailSent:
                type: boolean
              subEmploymentType:
                type:
                  - string
                  - 'null'
              remarks:
                type:
                  - string
                  - 'null'
              isITAdmin:
                type: boolean
              isExternalEmployee:
                type: boolean
              employeeSyncedSource:
                type:
                  - string
                  - 'null'
              investorFullName:
                type:
                  - string
                  - 'null'
              baseSalary:
                type:
                  - string
                  - 'null'
              baseSalaryCurrency:
                type:
                  - string
                  - 'null'
              baseSalaryPaymentType:
                type: string
              baseSalaryTokenTypeID:
                type:
                  - string
                  - 'null'
              baseSalaryTokenSymbol:
                type:
                  - string
                  - 'null'
              baseSalaryTokenNetwork:
                type:
                  - string
                  - 'null'
              baseSalaryPeriod:
                type:
                  - string
                  - 'null'
              stablecoinPayPercentage:
                type:
                  - number
                  - 'null'
              maxStablecoinPercentage:
                type:
                  - number
                  - 'null'
              taxMethod:
                type:
                  - string
                  - 'null'
              withholdingPercentage:
                type:
                  - string
                  - 'null'
              lastLogin:
                type:
                  - string
                  - 'null'
              invoiceApproverRoutingUpdatedAt:
                type:
                  - string
                  - 'null'
              lastTestTxReminderBy:
                type:
                  - string
                  - 'null'
              lastTestTxReminderAt:
                type:
                  - string
                  - 'null'
              payrollFileNumber:
                type:
                  - string
                  - 'null'
              externalPayrollId:
                type:
                  - string
                  - 'null'
              lastOnboardingReminderBy:
                type:
                  - string
                  - 'null'
              lastOnboardingReminderAt:
                type:
                  - string
                  - 'null'
              address:
                type:
                  - string
                  - 'null'
              payrollGroup:
                type:
                  - string
                  - 'null'
              lastInactiveWalletReminderBy:
                type:
                  - string
                  - 'null'
              lastInactiveWalletReminderAt:
                type:
                  - string
                  - 'null'
              recipientType:
                type:
                  - string
                  - 'null'
              receiveNotificationEmails:
                type: boolean
              receiveInAppNotifications:
                type: boolean
              notificationEmailFrequency:
                type: string
              receiveSlackNotifications:
                type: boolean
              selfServeContractorOnboardingStatus:
                type: string
              selfServeContractorOnboardingCompletedAt:
                type:
                  - string
                  - 'null'
              selfServeWelcomeEmailSentAt:
                type:
                  - string
                  - 'null'
              numberOfPayPeriodsPerYear:
                type: integer
              managerRoleInOrgID:
                type:
                  - string
                  - 'null'
              managerPath:
                type: array
                items:
                  type: string
              person:
                type: object
                properties:
                  personID:
                    type: string
                  givenName:
                    type: string
                  familyName:
                    type: string
                  middleName:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                  legacyModelID:
                    type:
                      - integer
                      - 'null'
                  mergedIntoPersonID:
                    type:
                      - string
                      - 'null'
                  mergedAt:
                    type:
                      - string
                      - 'null'
                  fullName:
                    type: string
                required:
                  - personID
                  - givenName
                  - familyName
                  - middleName
                  - createdAt
                  - updatedAt
                  - legacyMigratedAt
                  - legacyModelID
                  - mergedIntoPersonID
                  - mergedAt
                  - fullName
            required:
              - hrAutomationOnly
              - isServiceSeat
              - legacyMigratedAt
              - legacyModelID
              - roleInOrgID
              - personID
              - orgID
              - invitedByInvestorID
              - invitedByRecipientID
              - roleInOrgExternalID
              - externalEmployeeID
              - positionID
              - jobTitle
              - country
              - countryCode
              - preferredInvoiceCurrency
              - status
              - lifecycleStatus
              - workEmail
              - department
              - legalEntity
              - payrollEntity
              - contractEntityID
              - onboarded
              - isTerminated
              - privilegedAdmin
              - isPrimaryAdmin
              - isOrgMarketMaker
              - role
              - employmentType
              - revokedAt
              - createdAt
              - updatedAt
              - payrollEmployeeID
              - hasWelcomeEmailSent
              - subEmploymentType
              - remarks
              - isITAdmin
              - isExternalEmployee
              - employeeSyncedSource
              - investorFullName
              - baseSalary
              - baseSalaryCurrency
              - baseSalaryPaymentType
              - baseSalaryTokenTypeID
              - baseSalaryTokenSymbol
              - baseSalaryTokenNetwork
              - baseSalaryPeriod
              - stablecoinPayPercentage
              - maxStablecoinPercentage
              - taxMethod
              - withholdingPercentage
              - lastLogin
              - invoiceApproverRoutingUpdatedAt
              - lastTestTxReminderBy
              - lastTestTxReminderAt
              - payrollFileNumber
              - externalPayrollId
              - lastOnboardingReminderBy
              - lastOnboardingReminderAt
              - address
              - payrollGroup
              - lastInactiveWalletReminderBy
              - lastInactiveWalletReminderAt
              - recipientType
              - receiveNotificationEmails
              - receiveInAppNotifications
              - notificationEmailFrequency
              - receiveSlackNotifications
              - selfServeContractorOnboardingStatus
              - selfServeContractorOnboardingCompletedAt
              - selfServeWelcomeEmailSentAt
              - numberOfPayPeriodsPerYear
              - managerRoleInOrgID
              - managerPath
              - person
          orgNetwork:
            type:
              - object
              - 'null'
            properties:
              networkID:
                type: string
              orgID:
                type: string
              name:
                type: string
              icon:
                type:
                  - string
                  - 'null'
              tokenType:
                type: string
              isNetworkEnabled:
                type:
                  - boolean
                  - 'null'
              chainType:
                type:
                  - string
                  - 'null'
              meshConnectNetworkID:
                type:
                  - string
                  - 'null'
              evmChainID:
                type:
                  - integer
                  - 'null'
              multiSendCallOnlyAddress:
                type:
                  - string
                  - 'null'
              safeSingletonAddress:
                type:
                  - string
                  - 'null'
              safeFactoryAddress:
                type:
                  - string
                  - 'null'
              safeAppBaseUrl:
                type:
                  - string
                  - 'null'
              safeTxServiceUrl:
                type:
                  - string
                  - 'null'
              blockExplorerBaseUrl:
                type:
                  - string
                  - 'null'
              eipsName:
                type:
                  - string
                  - 'null'
              aleoTransferVisibility:
                type:
                  - string
                  - 'null'
              defaultNetworkSlugUrl:
                type:
                  - string
                  - 'null'
              catalogChainID:
                type:
                  - string
                  - 'null'
            required:
              - networkID
              - orgID
              - name
              - icon
              - tokenType
              - isNetworkEnabled
              - chainType
              - meshConnectNetworkID
              - evmChainID
              - multiSendCallOnlyAddress
              - safeSingletonAddress
              - safeFactoryAddress
              - safeAppBaseUrl
              - safeTxServiceUrl
              - blockExplorerBaseUrl
              - eipsName
              - aleoTransferVisibility
              - defaultNetworkSlugUrl
              - catalogChainID
          walletVerificationRequest:
            type:
              - object
              - 'null'
            properties:
              walletVerificationRequestID:
                type: string
              roleInOrgID:
                type: string
              walletID:
                type: string
              link:
                type:
                  - string
                  - 'null'
              addedByRoleInOrgID:
                type:
                  - string
                  - 'null'
              rejectedAt:
                type:
                  - string
                  - 'null'
              rejectedReason:
                type:
                  - string
                  - 'null'
              rejectedByRoleInOrgID:
                type:
                  - string
                  - 'null'
              approvedByRoleInOrgID:
                type:
                  - string
                  - 'null'
              approvedAt:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              investorEntityID:
                type:
                  - string
                  - 'null'
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - integer
                  - 'null'
              wallet:
                type: object
                properties:
                  walletID:
                    type: string
                  roleInOrgID:
                    type: string
                  name:
                    type:
                      - string
                      - 'null'
                  address:
                    type:
                      - string
                      - 'null'
                  memo:
                    type:
                      - string
                      - 'null'
                  destinationTag:
                    type:
                      - integer
                      - 'null'
                  network:
                    type: string
                  status:
                    type: string
                  walletType:
                    type:
                      - string
                      - 'null'
                  orgNetworkID:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  isCurrent:
                    type: boolean
                  isDefault:
                    type: boolean
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                  legacyModelID:
                    type:
                      - integer
                      - 'null'
                  walletTypeCustomID:
                    type:
                      - string
                      - 'null'
                  nickName:
                    type:
                      - string
                      - 'null'
                  investorEntityID:
                    type:
                      - string
                      - 'null'
                  tokenTypeID:
                    type:
                      - string
                      - 'null'
                  connectedViaMesh:
                    type: boolean
                  userDismissed:
                    type: boolean
                  roleInOrg:
                    type: object
                    properties:
                      hrAutomationOnly:
                        type: boolean
                      isServiceSeat:
                        type: boolean
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                      legacyModelID:
                        type:
                          - integer
                          - 'null'
                      roleInOrgID:
                        type: string
                      personID:
                        type: string
                      orgID:
                        type: string
                      invitedByInvestorID:
                        type:
                          - string
                          - 'null'
                      invitedByRecipientID:
                        type:
                          - string
                          - 'null'
                      roleInOrgExternalID:
                        type: integer
                      externalEmployeeID:
                        type:
                          - string
                          - 'null'
                      positionID:
                        type:
                          - string
                          - 'null'
                      jobTitle:
                        type:
                          - string
                          - 'null'
                      country:
                        type:
                          - string
                          - 'null'
                      countryCode:
                        type:
                          - string
                          - 'null'
                      preferredInvoiceCurrency:
                        type:
                          - string
                          - 'null'
                      status:
                        type:
                          - string
                          - 'null'
                      lifecycleStatus:
                        type:
                          - string
                          - 'null'
                      workEmail:
                        type:
                          - string
                          - 'null'
                      department:
                        type:
                          - string
                          - 'null'
                      legalEntity:
                        type:
                          - string
                          - 'null'
                      payrollEntity:
                        type:
                          - string
                          - 'null'
                      contractEntityID:
                        type:
                          - string
                          - 'null'
                      onboarded:
                        type: boolean
                      isTerminated:
                        type: boolean
                      privilegedAdmin:
                        type: boolean
                      isPrimaryAdmin:
                        type: boolean
                      isOrgMarketMaker:
                        type: boolean
                      role:
                        type: string
                      employmentType:
                        type:
                          - string
                          - 'null'
                      revokedAt:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      payrollEmployeeID:
                        type:
                          - string
                          - 'null'
                      hasWelcomeEmailSent:
                        type: boolean
                      subEmploymentType:
                        type:
                          - string
                          - 'null'
                      remarks:
                        type:
                          - string
                          - 'null'
                      isITAdmin:
                        type: boolean
                      isExternalEmployee:
                        type: boolean
                      employeeSyncedSource:
                        type:
                          - string
                          - 'null'
                      investorFullName:
                        type:
                          - string
                          - 'null'
                      baseSalary:
                        type:
                          - string
                          - 'null'
                      baseSalaryCurrency:
                        type:
                          - string
                          - 'null'
                      baseSalaryPaymentType:
                        type: string
                      baseSalaryTokenTypeID:
                        type:
                          - string
                          - 'null'
                      baseSalaryTokenSymbol:
                        type:
                          - string
                          - 'null'
                      baseSalaryTokenNetwork:
                        type:
                          - string
                          - 'null'
                      baseSalaryPeriod:
                        type:
                          - string
                          - 'null'
                      stablecoinPayPercentage:
                        type:
                          - number
                          - 'null'
                      maxStablecoinPercentage:
                        type:
                          - number
                          - 'null'
                      taxMethod:
                        type:
                          - string
                          - 'null'
                      withholdingPercentage:
                        type:
                          - string
                          - 'null'
                      lastLogin:
                        type:
                          - string
                          - 'null'
                      invoiceApproverRoutingUpdatedAt:
                        type:
                          - string
                          - 'null'
                      lastTestTxReminderBy:
                        type:
                          - string
                          - 'null'
                      lastTestTxReminderAt:
                        type:
                          - string
                          - 'null'
                      payrollFileNumber:
                        type:
                          - string
                          - 'null'
                      externalPayrollId:
                        type:
                          - string
                          - 'null'
                      lastOnboardingReminderBy:
                        type:
                          - string
                          - 'null'
                      lastOnboardingReminderAt:
                        type:
                          - string
                          - 'null'
                      address:
                        type:
                          - string
                          - 'null'
                      payrollGroup:
                        type:
                          - string
                          - 'null'
                      lastInactiveWalletReminderBy:
                        type:
                          - string
                          - 'null'
                      lastInactiveWalletReminderAt:
                        type:
                          - string
                          - 'null'
                      recipientType:
                        type:
                          - string
                          - 'null'
                      receiveNotificationEmails:
                        type: boolean
                      receiveInAppNotifications:
                        type: boolean
                      notificationEmailFrequency:
                        type: string
                      receiveSlackNotifications:
                        type: boolean
                      selfServeContractorOnboardingStatus:
                        type: string
                      selfServeContractorOnboardingCompletedAt:
                        type:
                          - string
                          - 'null'
                      selfServeWelcomeEmailSentAt:
                        type:
                          - string
                          - 'null'
                      numberOfPayPeriodsPerYear:
                        type: integer
                      managerRoleInOrgID:
                        type:
                          - string
                          - 'null'
                      managerPath:
                        type: array
                        items:
                          type: string
                      person:
                        type: object
                        properties:
                          personID:
                            type: string
                          givenName:
                            type: string
                          familyName:
                            type: string
                          middleName:
                            type:
                              - string
                              - 'null'
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          legacyMigratedAt:
                            type:
                              - string
                              - 'null'
                          legacyModelID:
                            type:
                              - integer
                              - 'null'
                          mergedIntoPersonID:
                            type:
                              - string
                              - 'null'
                          mergedAt:
                            type:
                              - string
                              - 'null'
                          fullName:
                            type: string
                        required:
                          - personID
                          - givenName
                          - familyName
                          - middleName
                          - createdAt
                          - updatedAt
                          - legacyMigratedAt
                          - legacyModelID
                          - mergedIntoPersonID
                          - mergedAt
                          - fullName
                    required:
                      - hrAutomationOnly
                      - isServiceSeat
                      - legacyMigratedAt
                      - legacyModelID
                      - roleInOrgID
                      - personID
                      - orgID
                      - invitedByInvestorID
                      - invitedByRecipientID
                      - roleInOrgExternalID
                      - externalEmployeeID
                      - positionID
                      - jobTitle
                      - country
                      - countryCode
                      - preferredInvoiceCurrency
                      - status
                      - lifecycleStatus
                      - workEmail
                      - department
                      - legalEntity
                      - payrollEntity
                      - contractEntityID
                      - onboarded
                      - isTerminated
                      - privilegedAdmin
                      - isPrimaryAdmin
                      - isOrgMarketMaker
                      - role
                      - employmentType
                      - revokedAt
                      - createdAt
                      - updatedAt
                      - payrollEmployeeID
                      - hasWelcomeEmailSent
                      - subEmploymentType
                      - remarks
                      - isITAdmin
                      - isExternalEmployee
                      - employeeSyncedSource
                      - investorFullName
                      - baseSalary
                      - baseSalaryCurrency
                      - baseSalaryPaymentType
                      - baseSalaryTokenTypeID
                      - baseSalaryTokenSymbol
                      - baseSalaryTokenNetwork
                      - baseSalaryPeriod
                      - stablecoinPayPercentage
                      - maxStablecoinPercentage
                      - taxMethod
                      - withholdingPercentage
                      - lastLogin
                      - invoiceApproverRoutingUpdatedAt
                      - lastTestTxReminderBy
                      - lastTestTxReminderAt
                      - payrollFileNumber
                      - externalPayrollId
                      - lastOnboardingReminderBy
                      - lastOnboardingReminderAt
                      - address
                      - payrollGroup
                      - lastInactiveWalletReminderBy
                      - lastInactiveWalletReminderAt
                      - recipientType
                      - receiveNotificationEmails
                      - receiveInAppNotifications
                      - notificationEmailFrequency
                      - receiveSlackNotifications
                      - selfServeContractorOnboardingStatus
                      - selfServeContractorOnboardingCompletedAt
                      - selfServeWelcomeEmailSentAt
                      - numberOfPayPeriodsPerYear
                      - managerRoleInOrgID
                      - managerPath
                      - person
                  orgNetwork:
                    type:
                      - object
                      - 'null'
                    properties:
                      networkID:
                        type: string
                      orgID:
                        type: string
                      name:
                        type: string
                      icon:
                        type:
                          - string
                          - 'null'
                      tokenType:
                        type: string
                      isNetworkEnabled:
                        type:
                          - boolean
                          - 'null'
                      chainType:
                        type:
                          - string
                          - 'null'
                      meshConnectNetworkID:
                        type:
                          - string
                          - 'null'
                      evmChainID:
                        type:
                          - integer
                          - 'null'
                      multiSendCallOnlyAddress:
                        type:
                          - string
                          - 'null'
                      safeSingletonAddress:
                        type:
                          - string
                          - 'null'
                      safeFactoryAddress:
                        type:
                          - string
                          - 'null'
                      safeAppBaseUrl:
                        type:
                          - string
                          - 'null'
                      safeTxServiceUrl:
                        type:
                          - string
                          - 'null'
                      blockExplorerBaseUrl:
                        type:
                          - string
                          - 'null'
                      eipsName:
                        type:
                          - string
                          - 'null'
                      aleoTransferVisibility:
                        type:
                          - string
                          - 'null'
                      defaultNetworkSlugUrl:
                        type:
                          - string
                          - 'null'
                      catalogChainID:
                        type:
                          - string
                          - 'null'
                    required:
                      - networkID
                      - orgID
                      - name
                      - icon
                      - tokenType
                      - isNetworkEnabled
                      - chainType
                      - meshConnectNetworkID
                      - evmChainID
                      - multiSendCallOnlyAddress
                      - safeSingletonAddress
                      - safeFactoryAddress
                      - safeAppBaseUrl
                      - safeTxServiceUrl
                      - blockExplorerBaseUrl
                      - eipsName
                      - aleoTransferVisibility
                      - defaultNetworkSlugUrl
                      - catalogChainID
                required:
                  - walletID
                  - roleInOrgID
                  - name
                  - address
                  - memo
                  - destinationTag
                  - network
                  - status
                  - walletType
                  - orgNetworkID
                  - createdAt
                  - updatedAt
                  - isCurrent
                  - isDefault
                  - legacyMigratedAt
                  - legacyModelID
                  - walletTypeCustomID
                  - nickName
                  - investorEntityID
                  - tokenTypeID
                  - connectedViaMesh
                  - userDismissed
                  - roleInOrg
                  - orgNetwork
              testTransactions:
                type: array
                items:
                  type: object
                  properties:
                    testTransactionID:
                      type: string
                    orgID:
                      type: string
                    orgTestTransactionConfigId:
                      type: string
                    sourceWalletAddress:
                      type: string
                    network:
                      type: string
                    destinationWalletAddress:
                      type: string
                    transactionHash:
                      type:
                        - string
                        - 'null'
                    transactionLink:
                      type:
                        - string
                        - 'null'
                    amount:
                      type: string
                    aleoTransferVisibility:
                      type:
                        - string
                        - 'null'
                    createdAt:
                      type: string
                    forRoleInOrgID:
                      type: string
                    status:
                      type: string
                    error:
                      type:
                        - string
                        - 'null'
                    fireblocksExternalTxId:
                      type:
                        - string
                        - 'null'
                    fireblocksStatus:
                      type:
                        - string
                        - 'null'
                    walletVerificationRequestID:
                      type:
                        - string
                        - 'null'
                    updatedAt:
                      type: string
                    OrganizationTestTransactionConfiguration:
                      type: object
                      properties:
                        chainType:
                          type: string
                        chainID:
                          type: integer
                      required:
                        - chainType
                        - chainID
                  required:
                    - testTransactionID
                    - orgID
                    - orgTestTransactionConfigId
                    - sourceWalletAddress
                    - network
                    - destinationWalletAddress
                    - transactionHash
                    - transactionLink
                    - amount
                    - aleoTransferVisibility
                    - createdAt
                    - forRoleInOrgID
                    - status
                    - error
                    - fireblocksExternalTxId
                    - fireblocksStatus
                    - walletVerificationRequestID
                    - updatedAt
                    - OrganizationTestTransactionConfiguration
            required:
              - walletVerificationRequestID
              - roleInOrgID
              - walletID
              - link
              - addedByRoleInOrgID
              - rejectedAt
              - rejectedReason
              - rejectedByRoleInOrgID
              - approvedByRoleInOrgID
              - approvedAt
              - createdAt
              - updatedAt
              - investorEntityID
              - legacyMigratedAt
              - legacyModelID
              - wallet
              - testTransactions
          tokenType:
            type:
              - object
              - 'null'
            properties:
              tokenTypeID:
                type: string
              name:
                type: string
              currencyCode:
                type: string
              icon:
                type:
                  - string
                  - 'null'
              orgID:
                type: string
              enabledForPayrollType:
                type:
                  - string
                  - 'null'
              networkID:
                type: string
              address:
                type:
                  - string
                  - 'null'
              decimalPlaces:
                type:
                  - integer
                  - 'null'
              coinMarketCapID:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              isTokenEnabled:
                type:
                  - boolean
                  - 'null'
              isContractorDefault:
                type: boolean
              defaultTokenSlug:
                type:
                  - string
                  - 'null'
              catalogTokenDeploymentID:
                type:
                  - string
                  - 'null'
            required:
              - tokenTypeID
              - name
              - currencyCode
              - icon
              - orgID
              - enabledForPayrollType
              - networkID
              - address
              - decimalPlaces
              - coinMarketCapID
              - createdAt
              - isTokenEnabled
              - isContractorDefault
              - defaultTokenSlug
              - catalogTokenDeploymentID
          tokenWalletReferences:
            type: array
            items:
              type: object
              properties:
                walletReferenceID:
                  type: string
                roleInOrgID:
                  type: string
                walletID:
                  type: string
                distributionRatio:
                  type:
                    - string
                    - 'null'
                distributionType:
                  type: string
                isBonusToken:
                  type: boolean
                fixedAmount:
                  type:
                    - string
                    - 'null'
                createdAt:
                  type: string
              required:
                - walletReferenceID
                - roleInOrgID
                - walletID
                - distributionRatio
                - distributionType
                - isBonusToken
                - fixedAmount
                - createdAt
          privyWallets:
            type: array
            items:
              type: object
              properties:
                privyWalletID:
                  type: string
                roleInOrgID:
                  type: string
                walletID:
                  type: string
                privyDID:
                  type: string
                createdWithEmail:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - privyWalletID
                - roleInOrgID
                - walletID
                - privyDID
                - createdWithEmail
                - createdAt
                - updatedAt
          crossmintWallets:
            type: array
            items:
              type: object
              properties:
                crossmintWalletID:
                  type: string
                roleInOrgID:
                  type: string
                walletID:
                  type: string
                crossmintUserId:
                  type: string
                crossmintEmail:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - crossmintWalletID
                - roleInOrgID
                - walletID
                - crossmintUserId
                - crossmintEmail
                - createdAt
                - updatedAt
          polygonWallets:
            type: array
            items:
              type: object
              properties:
                polygonWalletID:
                  type: string
                roleInOrgID:
                  type: string
                walletID:
                  type: string
                omsEmail:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - polygonWalletID
                - roleInOrgID
                - walletID
                - omsEmail
                - createdAt
                - updatedAt
          payoutPurpose:
            type:
              - string
              - 'null'
            enum:
              - INVOICE_FEES
              - EXPENSE_REIMBURSEMENTS
              - null
        required:
          - walletID
          - roleInOrgID
          - name
          - address
          - memo
          - destinationTag
          - network
          - status
          - walletType
          - orgNetworkID
          - createdAt
          - updatedAt
          - isCurrent
          - isDefault
          - legacyMigratedAt
          - legacyModelID
          - walletTypeCustomID
          - nickName
          - investorEntityID
          - tokenTypeID
          - connectedViaMesh
          - userDismissed
          - roleInOrg
          - orgNetwork
          - walletVerificationRequest
          - tokenType
          - tokenWalletReferences
          - privyWallets
          - crossmintWallets
          - polygonWallets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
